##### 7.5.20.0. embedMat

Procedure from library `nctools.lib` (see nctools_lib).

Usage:
  embedMat(A,m,n); A,B matrix/module

Return:
  matrix

Purpose:
  embed A in the left upper corner of mxn matrix

Example:

    LIB "nctools.lib";
    ring r = 0,(a,b,c,d),dp;
    matrix M[2][3]; M[1,1]=a; M[1,2]=b;M[2,2]=d;M[1,3]=c;
    print(M);
    ==> a,b,c,
    ==> 0,d,0
    print(embedMat(M,3,4));
    ==> a,b,c,0,
    ==> 0,d,0,0,
    ==> 0,0,0,0
    matrix N = M; N[2,2]=0;
    print(embedMat(N,3,4));
    ==> a,b,c,0,
    ==> 0,0,0,0,
    ==> 0,0,0,0

User manual for Singular version 4.4.1, 2025, generated by texi2html.